import { ObservableSet } from "@cmmn/cell";
import { CRuntime, CValueSet } from "@collabs/collabs";
export declare class SyncSet<T> extends ObservableSet<T> {
    private doc;
    private array;
    constructor(doc: CRuntime, array: CValueSet<T>);
    private readonly subscriptions;
    protected subscribe(eventName: any): void;
    protected unsubscribe(eventName: any): void;
}
